Changes between Version 148 and Version 154 of Ticket #9433


Ignore:
Timestamp:
02/25/11 05:49:49 (9 years ago)
Author:
jhpalmieri
Comment:

Replying to vbraun:

I think there is still one problem: If the user has no .hgrc (like many non-developers trying to upgrade), then mercurial will fail

I wouldn't have spotted this. Good catch. I have new patches which add "-u ..." to various commit commands: in sage-update and in root-spkg-install. I haven't bothered with sage-sdist or sage-make_devel_packages, since these are done by the release manager who had better have a .hgrc file. (Besides, there are already other "hg commit" commands in those scripts.)

I've also updated my versions (4.6.2.X0 etc.) for testing upgrades with these changes.

Legend:

Unmodified
Added
Removed
Modified
  • Ticket #9433 – Description

    v148 v154  
    88 - apply [attachment:trac_9433-scripts.v9.patch] to the scripts repository
    99 - move the attached file [attachment:hgignore] to `$SAGE_ROOT/.hgignore` (note that this is a ''new'' file)
    10  - move the attached file [attachment:root-spkg-install.v3] to `$SAGE_ROOT/spkg/root-spkg-install` (note that this is a ''new'' file)
     10 - move the attached file [attachment:root-spkg-install.v4] to `$SAGE_ROOT/spkg/root-spkg-install` (note that this is a ''new'' file)
    1111 - apply [attachment:9433_install.diff] to `$SAGE_ROOT/spkg/install`
    1212 - apply [attachment:9433_deps.diff] to `$SAGE_ROOT/spkg/standard/deps`